# List all custom object bulk jobs Lists all custom object bulk jobs submitted by your tenant. Endpoint: GET /objects/jobs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) API version that determines the response schema. The default version is used if this parameter is not included. Specify Zuora-Version in the request header if you expect a specific response schema. ## Query parameters: - `pageSize` (integer) The number of records returned per page in the response. - `cursor` (string) The cursor points to the last job of the previous result set. The cursor job is not included in this query result. The call returns the first page if cursor is not provided and pageSize is valid. - `status` (string) The status of bulk jobs to be retrieved. Enum: "pending", "accepted", "in_progress", "completed", "failed", "cancelled" ## Response 200 fields (application/json): - `count` (integer) The number of custom object bulk jobs returned in the result page set. Example: 2 - `cursor` (string) The cursor points to the last job record of the current page. Example: "a9e9a58d-0a11-4685-b1ab-99521dbc20a1" - `jobs` (array, required) All custom object bulk jobs returned in the result page set. Example: [{"CreatedById":"2c92c0f96a07409d016a0a58ab1172ec","CreatedDate":"2021-03-10T00:05:54.207Z","Id":"5112347a-f7a1-4373-99df-c082984de7be","UpdatedById":"2c92c0f96a07409d016a0a58ab1172ec","UpdatedDate":"2021-03-10T00:08:15.614Z","namespace":"default","object":"vehicle","operation":"create","processingTime":62,"recordsProcessed":3,"status":"completed"},{"CreatedById":"2c92c0f96a07409d016a0a58ab1172ec","CreatedDate":"2021-03-09T22:27:59.503Z","Id":"a9e9a58d-0a11-4685-b1ab-99521dbc20a1","UpdatedById":"2c92c0f96a07409d016a0a58ab1172ec","UpdatedDate":"2021-03-09T22:27:59.503Z","namespace":"default","object":"vehicle","operation":"create","processingTime":0,"recordsProcessed":0,"status":"pending"}] - `jobs.CreatedById` (string) The ID of the user who creates the job. Example: "7b39d73f-22e6-404a-b8e7-894f7620e91c" - `jobs.CreatedDate` (string) The time when the bulk job is created. Example: "2021-03-15T06:47:18Z" - `jobs.Id` (string) The custom object bulk job ID. Example: "ed4b9701-bafb-4976-8019-b08269430153" - `jobs.UpdatedById` (string) The ID of the user who updates the job. Example: "7b39d73f-22e6-404a-b8e7-894f7620e91c" - `jobs.UpdatedDate` (string) The time when the bulk job is updated. Example: "2021-03-15T06:47:18Z" - `jobs.error` (object) Example: {"code":71012560,"message":"Service limit reached, please retry later."} - `jobs.error.code` (integer) The error code. Example: 71012560 - `jobs.error.message` (string) The error message. Example: "Service limit reached, please retry later." - `jobs.namespace` (string) The namespace of the object. Custom objects belong to the default namespace. Zuora standard objects belong to the com_zuora namespace. Bulk job operations on the following Zuora standard objects are supported: * SavedQuery Enum: "default", "com_zuora" - `jobs.object` (string) The object to that the bulk operation performs on. Example: "passenger" - `jobs.operation` (string) The operation that the bulk job performs. Only the users that have the "Delete Custom Objects" permission can submit a delete bulk job request. Only the users that have the "Edit Custom Objects" permission can submit a create or update bulk job request. See [Platform Permissions](https://knowledgecenter.zuora.com/Billing/Tenant_Management/A_Administrator_Settings/User_Roles/h_Platform_Roles#Platform_Permissions) for more information. Enum: "delete", "create", "update" - `jobs.processingTime` (integer) The amount of time elapsed, in milliseconds, from the submission to the completion of the bulk job. Example: 1882 - `jobs.recordsProcessed` (integer) The number of object records processed by the bulk job. Example: 500 - `jobs.status` (string) The status of the bulk job: - accepted - The job has been accepted and is ready to process. - pending - The job is waiting for your input. You can use [Upload a file for a custom object bulk job](https://developer.zuora.com/api-references/api/operation/POST_UploadFileForCustomObjectBulkJob) to upload a file so that the job can start creating records. - in_progress - The job is processing. - completed - The job has completed. - failed - The job was unable to complete. You can use [List all errors for a custom object bulk job](https://developer.zuora.com/api-references/api/operation/GET_CustomObjectBulkJobErrors) to list the errors. - cancelled - The job was cancelled by the server. Enum: "accepted", "pending", "in_progress", "completed", "failed", "cancelled"